Subject: Re: [PATCH] Documentation: add a planning document for the next CLI revamp

From: Jakub Narebski <[email-masked]>
Date: Mon, 3 Nov 2008 13:06:27 +0100

Dnia poniedziałek 3. listopada 2008 09:43, Sam Vilain napisał:
> On Fri, 2008-10-31 at 08:36 +0100, Jakub Narebski wrote:

> > > >     git checkout --track origin/wr34251-do-something
> > > 
> > > Ah, that's a new feature.  Still, I think it's poorly Huffman coded; far
> > > too verbose.
> > 
> > Well, either you have a little bit more verbose, or you have to have
> > some DWIM-mery, which (as usual with DWIM) can go wrong.
> 
> That's right, you need to choose when to assume that the user meant
> something that they didn't write very carefully.
> 
> But look at this:
> 
>   git checkout origin/master
> 
>   git checkout -t origin/master
> 
> The option is called "--track", yet in this case what it actually means
> in the default situation where you have autosetupmerge (or whatever it's
> really called) set to true, is that it modifies the command to imply "-b
> master".  So, in this situation, that is clearly what was meant.
> 
> Perhaps you can give an example of why this particular piece of DWIM
> might not be WYM?

I was not talking about "git checkout -t origin/master" being shortcut
for "git checkout -b master -t origin/master", but about proposed
DWIM-mery for "git checkout -b <branch>" which would be

                             { git checkout -b <branch> -t <remote>/<branch>
  git checkout -b <branch> = {        if there exists <remote>/<branch> 
                             {
                             { git checkout -b <branch> HEAD
                             {        otherwise
-- 
Jakub Narebski
Poland